﻿// Decompiled with JetBrains decompiler
// Type: ConnectionProperties
// Assembly: BLRCrashReporter, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
// MVID: C4DCEFA4-04D9-4613-B271-9E50BDA5C72F
// Assembly location: C:\Users\SuperEwald\Downloads\depotdownloader-2.3.6\depots\209871\2520205\Blacklight Retribution\Live\Binaries\Win32\BLRCrashReporter.exe

using System.Runtime.InteropServices;

[ComVisible(true)]
public enum ConnectionProperties
{
  CONNECTION_PING,
  CONNECTION_PING_DEVIATION,
  CONNECTION_CONNECTED_TIME,
  CONNECTION_IDLE_TIME,
  CONNECTION_CLIENT_IP,
  CONNECTION_CLIENT_PORT,
  CONNECTION_SERVER_IP,
  CONNECTION_SERVER_PORT,
  CONNECTION_PACKETS_SENT_SPEECH,
  CONNECTION_PACKETS_SENT_KEEPALIVE,
  CONNECTION_PACKETS_SENT_CONTROL,
  CONNECTION_PACKETS_SENT_TOTAL,
  CONNECTION_BYTES_SENT_SPEECH,
  CONNECTION_BYTES_SENT_KEEPALIVE,
  CONNECTION_BYTES_SENT_CONTROL,
  CONNECTION_BYTES_SENT_TOTAL,
  CONNECTION_PACKETS_RECEIVED_SPEECH,
  CONNECTION_PACKETS_RECEIVED_KEEPALIVE,
  CONNECTION_PACKETS_RECEIVED_CONTROL,
  CONNECTION_PACKETS_RECEIVED_TOTAL,
  CONNECTION_BYTES_RECEIVED_SPEECH,
  CONNECTION_BYTES_RECEIVED_KEEPALIVE,
  CONNECTION_BYTES_RECEIVED_CONTROL,
  CONNECTION_BYTES_RECEIVED_TOTAL,
  CONNECTION_PACKETLOSS_SPEECH,
  CONNECTION_PACKETLOSS_KEEPALIVE,
  CONNECTION_PACKETLOSS_CONTROL,
  CONNECTION_PACKETLOSS_TOTAL,
  CONNECTION_SERVER2CLIENT_PACKETLOSS_SPEECH,
  CONNECTION_SERVER2CLIENT_PACKETLOSS_KEEPALIVE,
  CONNECTION_SERVER2CLIENT_PACKETLOSS_CONTROL,
  CONNECTION_SERVER2CLIENT_PACKETLOSS_TOTAL,
  CONNECTION_CLIENT2SERVER_PACKETLOSS_SPEECH,
  CONNECTION_CLIENT2SERVER_PACKETLOSS_KEEPALIVE,
  CONNECTION_CLIENT2SERVER_PACKETLOSS_CONTROL,
  CONNECTION_CLIENT2SERVER_PACKETLOSS_TOTAL,
  CONNECTION_BANDWIDTH_SENT_LAST_SECOND_SPEECH,
  CONNECTION_BANDWIDTH_SENT_LAST_SECOND_KEEPALIVE,
  CONNECTION_BANDWIDTH_SENT_LAST_SECOND_CONTROL,
  CONNECTION_BANDWIDTH_SENT_LAST_SECOND_TOTAL,
  CONNECTION_BANDWIDTH_SENT_LAST_MINUTE_SPEECH,
  CONNECTION_BANDWIDTH_SENT_LAST_MINUTE_KEEPALIVE,
  CONNECTION_BANDWIDTH_SENT_LAST_MINUTE_CONTROL,
  CONNECTION_BANDWIDTH_SENT_LAST_MINUTE_TOTAL,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_SECOND_SPEECH,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_SECOND_KEEPALIVE,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_SECOND_CONTROL,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_SECOND_TOTAL,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_MINUTE_SPEECH,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_MINUTE_KEEPALIVE,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_MINUTE_CONTROL,
  CONNECTION_BANDWIDTH_RECEIVED_LAST_MINUTE_TOTAL,
  CONNECTION_ENDMARKER,
}
